/**
 * 
 */
package org.springblade.report.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.datasource.enums.DetailColumnTypeEnum;

import java.io.Serializable;

/**
 * @author wookvn
 *
 */
@Data
public class DataApiInsertParamDTO implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	@ApiModelProperty(value = "参数说明")
	private String title;
	
	@ApiModelProperty(value = "数据库字段名")
	private String columnName;
	
	@ApiModelProperty(value = "API参数名")
	private String paramName;
	
	@ApiModelProperty(value = "细化字段类型(与数据库表接口返回的detailColumnType一致)")
	private DetailColumnTypeEnum columnType;
	
	@ApiModelProperty(value = "是否可选(根据字段是否为空设置,1-可选/0-必填)")
	private Integer optionalStatus;
	
}
