package org.springblade.visual.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springblade.core.secure.utils.AuthUtil;
import org.springblade.core.tool.api.R;
import org.springblade.visual.dto.MyVisualDataShareParams;
import org.springblade.visual.dto.VisualDataSharePageParams;
import org.springblade.visual.dto.VisualDataShareParams;
import org.springblade.visual.entity.VisualData;
import org.springblade.visual.entity.VisualDataShare;
import org.springblade.visual.service.VisualDataShareService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.time.LocalDateTime;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.function.Function;
import java.util.stream.Collectors;

@RestController
@RequestMapping("/visual/data/share")
@Api(tags = "大屏分享相关接口")
public class VisualDataShareController {


    @Autowired
    private VisualDataShareService visualDataShareService;

    /**
     * 分享
     *
     * @param params
     */
    @PostMapping("share")
    @ApiOperation("分享")
    public boolean share(@RequestBody VisualDataShareParams params) {
        return visualDataShareService.share(params);
    }

    @GetMapping("page")
    @ApiOperation("分页查询可以看到的分享页面")
    public R<Page<VisualDataShare>> page(VisualDataSharePageParams params) {
        return R.data(visualDataShareService.page(params));
    }

    @GetMapping("myShare")
    @ApiOperation("我的分享")
    public R<List<VisualDataShare>> myShare(MyVisualDataShareParams params){
        return R.data(visualDataShareService.myShare(params));
    }

}
