package org.springblade.visual.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 自定义组件表 visual_component_define
 * 
 * @author wookvn
 * @date 2023-02-11
 */
@Data
@TableName("mcp_visual_component_define")
@ApiModel(value = "McpVisualComponentDefine对象", description = "MCP自定义组件")
public class McpVisualComponentDefine implements Serializable{

	private static final long serialVersionUID = 1L;
	
 	/** 
	 *  
	 */
	@TableId
	private Long id;
	

	/** 
	 * 组件名称 
	 */
	@ApiModelProperty(value = "组件名称")
	@TableField(condition = SqlCondition.LIKE)
	private String componentName;

	/** 
	 * 组件图标 
	 */
	@ApiModelProperty(value = "组件图标")
	private String imageUrl;

	/** 
	 * 组件描述 
	 */
	@ApiModelProperty(value = "组件描述")
	private String description;

	/** 
	 * 组件版本号 
	 */
	@ApiModelProperty(value = "组件版本号")
	private String componentVersion;

	/** 
	 * 代码内容 
	 */
	@ApiModelProperty(value = "代码内容")
	private String codeText;

	/** 
	 */
	@ApiModelProperty(value = "启用禁用 0是禁用 1是启用")
	private Integer status;

	/**
	 * 对某些租户公开，租户id通过逗号分割
	 */
	@ApiModelProperty(value = "对某些租户公开，租户id通过逗号分割")
	private String enableTenants;


	/**
	 * 创建时间 
	 */
	@ApiModelProperty(value = "创建时间")
	private LocalDateTime createTime;

	/** 
	 * 创建人 
	 */
	@ApiModelProperty(value = "创建人")
	private Long createUserId;
	
	/** 
	 * 创建时间 
	 */
	@ApiModelProperty(value = "更新时间")
	private LocalDateTime updateTime;
	
	/** 
	 * 创建时间 
	 */
	@ApiModelProperty(value = "更新人")
	private String updateBy;
	
}
