/**
 * 
 */
package org.springblade.bi.client;

import org.springblade.bi.client.factory.DataSourceClientFallbackFactory;
import org.springblade.bi.client.model.DataSourceModel;
import org.springblade.common.openfeign.OpenFeignConstants;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;

/**
 * @author wookvn
 *
 *	数据源
 */
//@RequestMapping(OpenFeignConstants.BI_SERVICE + "/datasource")
@FeignClient(contextId = "dataSourceClient", 
	value = OpenFeignConstants.BI_SERVICE, 
	fallbackFactory = DataSourceClientFallbackFactory.class)
public interface DataSourceClient {

	/**
	 * 查询数据源信息
	 * @param id
	 * @return
	 */
	@GetMapping(OpenFeignConstants.BI_SERVICE + "/datasource/info/{id}")
	public DataSourceModel getById(@PathVariable Long id);

	/**
	 * 刷新数据源缓存 - 数据源的表数据信息缓存
	 * @param id
	 */
	@PostMapping(OpenFeignConstants.BI_SERVICE + "/datasource/refreshDsCache/{id}")
	public void refreshDsCache(@PathVariable Long id);
}
