package org.springblade.bi.client;

import org.springblade.bi.client.factory.VisualDataClientFallbackFactory;
import org.springblade.bi.client.model.VisualDataModel;
import org.springblade.common.openfeign.OpenFeignConstants;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

import java.util.List;

@FeignClient(contextId = "visualDataClient",
        value = OpenFeignConstants.BI_SERVICE,
        fallbackFactory = VisualDataClientFallbackFactory.class)
public interface VisualDataClient {

    @GetMapping(OpenFeignConstants.BI_SERVICE + "visual/data/listByIds")
    List<VisualDataModel> listByIds(List<String> visualIds);
}